httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pete Houston <...@openstrike.co.uk>
Subject Re: [users@httpd] Problem when building Apache 2.2.22 with --with-included-apr - libtool: link: only absolute run-paths are allowed
Date Thu, 09 Feb 2012 09:01:16 GMT
On Wed, Feb 08, 2012 at 11:33:01PM -0200, Manuel Lemos wrote:
> It compiles OK, but when it tries to link apr it gives me an libtool
> error. Full output below.
> 
> libtool: link: only absolute run-paths are allowed
> 
> Anybody has a clue what is the matter and how can I avoid this?
...
> 4:5:4    -o libapr-1.la -rpath refix/lib passwd/apr_getpass.lo

You see the argument to -rpath is "refix/lib"? That looks like it was
supposed to be $prefix/lib which would then be expanded into an absolute
path. If you can find out where the $p has gone, I guess you'll have the
answer.

Pete
-- 
Openstrike - improving business through open source
http://www.openstrike.co.uk/ or call 01722 770036 / 07092 020107

Mime
View raw message